petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerCreate

Creates a viewing context

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerCreate(MPI_Comm comm,PetscViewer *inviewer)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

inviewer -location to put the PetscViewer context

### See Also

PetscViewerDestroy(), PetscViewerSetType(), PetscViewerType

Level:advanced
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html